Get all payments
curl --request GET \
--url https://channels-service-alpha.fourvenues.com/payments \
--header 'X-Api-Key: <api-key>'import requests
url = "https://channels-service-alpha.fourvenues.com/payments"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://channels-service-alpha.fourvenues.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "abcdefghi1234567890",
"status": "pending",
"rate_id": "abcdefghi1234567890",
"organization_id": "abcdefghi1234567890",
"event_id": "abcdefghi1234567890",
"resource_type": "ticket",
"resource_ids": [
"abcdefghi1234567890"
],
"total": {
"amount": 20.6,
"fees": 0.6
},
"currency": "EUR",
"paid_at": "2023-12-31T00:00:00.000Z",
"expires_at": "2024-01-01T00:00:00.000Z",
"send_resources": true,
"metadata": {
"user_id": "abcdefghi1234567890",
"internal_id": "abcdefghi1234567890"
}
}
],
"success": true
}Payments
Get all payments
Get all payments
GET
/
payments
Get all payments
Authorizations
Query Parameters
Filter the payments by organization id.
Filter the payments by event id.
Filter the payments by start date.
Filter the payments by end date.
Limit the number of payments returned.
Offset the payments returned.
⌘I